Wrapper for Ace code editor

This add-on wraps Ace editor inside a TextArea-like Vaadin component.

Ace is a code editor written in JavaScript. It supports a lot of languages and features including syntax highlighting, indenting, error checking, etc. Ace homepage: http://ace.ajax.org/

From version 0.8.15 onwards this add-on requires Vaadin 8. Versions 0.7.0 - 0.8.14 are for Vaadin 7, and versions before that are for Vaadin 6.

See the Source Code link for some instructions -->

This add-on is still in an experimental phase, interfaces etc. are subject to change.

Install

Link to this version
ExperimentalReleased 06 February 2013Apache License 2.0
Framework Support
Vaadin 6.7+
Also supported:
Vaadin 7 (0.8.14)Vaadin 8 (0.8.15)
Browser Compatibility
8
9
Install with
Release notes - Version 0.3.1

Fixed maven version range.